Skip to main content
PATCH
Update automation rule

Authorizations

Authorization
string
header
required

Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.

Path Parameters

id
string<uuid>
required

Rule ID

Body

application/json
name
string

Rule name

Required string length: 1 - 200
description
string | null

Rule description

Maximum string length: 1000
isActive
boolean

Whether the rule is active

priority
integer

Rule priority

Required range: 0 <= x <= 100
scopeType
enum<string>

Rule scope

Available options:
tenant,
company
companyIds
string<uuid>[] | null

Company IDs

triggerType
enum<string>

Trigger type

Available options:
date_threshold,
scheduled,
field_change,
absence,
survey_response_received,
onboarding_event
triggerConfig
object

Trigger-specific configuration

entityType
enum<string>

Entity type

Available options:
device,
company,
compliance,
planner,
user,
goal,
training,
learning_path,
ticket,
meeting,
survey_response,
m365_subscription,
license_subscription,
dnsimple_domain,
cipp_resource,
onboarding
conditions
null[]

Condition groups

actions
null[]

Actions to execute

aggregationConfig
any | null

Aggregation configuration

Response

Rule updated successfully

data
object
required